#! /bin/bash
# This script replaces any .kext which cause conflict after updating from
# 10.7.x to 10.7.5
 
echo --------------------------------------------------------------------------------
echo "Created by Copyright © 2012 Soul Dev Team to safely update from 10.7.x to 10.7.5"
echo "Modified by Slor for ThinkPad X61"
echo --------------------------------------------------------------------------------
echo "Removing Extensions.mkext and caches…"
sudo rm /System/Library/Extensions.mkext
sudo rm -R /System/Library/Caches/*
echo --------------------------------------------------------------------------------
echo "Removing .kext to replace…"
#sudo rm -R /System/Library/Extensions/AppleACPIPlatform.kext
#sudo rm -R /System/Library/Extensions/AppleHDA.kext
sudo rm -R /System/Library/Extensions/AppleLSIFusionMPT.kext
sudo rm -R /System/Library/Extensions/AppleSMC.kext
sudo rm -R /System/Library/Extensions/IOHIDFamily.kext
#sudo rm -R /System/Library/Extensions/IOStorageFamily.kext
echo --------------------------------------------------------------------------------
echo "Replacing .kext in /System/Library/Extensions/..."
#sudo cp -R .AppleACPIPlatform.kext /System/Library/Extensions/AppleACPIPlatform.kext
#sudo chmod -R 755 /System/Library/Extensions/AppleACPIPlatform.kext
#sudo chown -R root:wheel /System/Library/Extensions/AppleACPIPlatform.kext
#sudo cp -R .AppleHDA.kext /System/Library/Extensions/AppleHDA.kext
#sudo chmod -R 755 /System/Library/Extensions/AppleHDA.kext
#sudo chown -R root:wheel /System/Library/Extensions/AppleHDA.kext
sudo cp -R .AppleLSIFusionMPT.kext /System/Library/Extensions/AppleLSIFusionMPT.kext
sudo chmod -R 755 /System/Library/Extensions/AppleLSIFusionMPT.kext
sudo chown -R root:wheel /System/Library/Extensions/AppleLSIFusionMPT.kext
sudo cp -R .AppleSMC.kext /System/Library/Extensions/AppleSMC.kext
sudo chmod -R 755 /System/Library/Extensions/AppleSMC.kext
sudo chown -R root:wheel /System/Library/Extensions/AppleSMC.kext
sudo cp -R .IOHIDFamily.kext /System/Library/Extensions/IOHIDFamily.kext
sudo chmod -R 755 /System/Library/Extensions/IOHIDFamily.kext
sudo chown -R root:wheel /System/Library/Extensions/IOHIDFamily.kext
#sudo cp -R .IOStorageFamily.kext /System/Library/Extensions/IOStorageFamily.kext
#sudo chmod -R 755 /System/Library/Extensions/IOStorageFamily.kext
#sudo chown -R root:wheel /System/Library/Extensions/IOStorageFamily.kext
echo --------------------------------------------------------------------------------
echo "Resolving iTunes crashes..." 
sudo defaults write com.apple.dock itunes-notifications -bool NO
echo --------------------------------------------------------------------------------
echo "Restarting Dock..." 
sudo killall Dock
echo --------------------------------------------------------------------------------
echo "Script was successful, you are now safe to reboot."
echo --------------------------------------------------------------------------------
